import { App } from 'vue'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

// pinia persist
const stores = createPinia()

// 全局注册 store
export function setupStores(app: App<Element>) {
  stores.use(piniaPluginPersistedstate)
  app.use(stores)
}
